commit a3329a79e9d44c927b84f0ab646a93d4c237ecb3
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Fri Apr 3 14:32:35 2020 +0200

    Bump version to 6.1.1

commit e533d03fd99f24f69daf7d831d88ec5b95078d92
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Wed Apr 1 18:01:16 2020 +0200

    configure.ac: Fix LT_AGE following ABI breakage
    
    The ABI broke, so we need to reset DVDREAD_LT_AGE to 0
    Fix #14

commit 8389f224091dccacbf66d0a5207f87e0f5028ecc
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Wed Apr 1 17:44:55 2020 +0200

    CI: Fix links to docker registry

commit d413571ce39acd404523b6742ba361215f6ada68
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Mar 5 20:18:36 2020 +0100

    Fix the arguments order for strerror_s

commit 9bc33de3458560f7069257e7b429fc66f514a4fe
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Mar 5 16:42:41 2020 +0100

    add checks for strerror_r

commit 32afabc16f3c160455b1492e7f0d3647e4acb04b
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Mar 4 14:01:32 2020 +0100

    Update NEWS for 6.1.0

commit 42374932bebd4f9e67f8cd0db46c792038e69df1
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Feb 19 16:05:16 2020 +0100

    ifo_print: use logger

commit 33e674e4e216b9f389edd3c41d6d90e524dedda2
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Feb 19 19:36:39 2020 +0100

    dvd_input: use logger

commit 7ec273ddfac77a622e9fa4817525accf550d2ace
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Feb 19 17:58:19 2020 +0100

    dvd_udf: replace log occurrences

commit 5ebbd78daaa3d1a884e6d8d8a363463fea2d57ce
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Feb 19 17:44:26 2020 +0100

    ifo_read: use logger

commit d9cd1b5fd9ef29fbffc77604d3ba5f9eb855aa29
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Feb 19 17:43:50 2020 +0100

    ifo_handle: store main context in priv

commit cabd80c8350bc22a9c705363565e8631ecb39234
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Feb 19 16:47:28 2020 +0100

    ifo_handle: create real priv data, unexpose dvd_file_t pointer

commit bde28bce4302e32645bd9bc7677a04b41bec0b80
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Feb 19 14:50:44 2020 +0100

    dvd_reader: use logger

commit 5ef1a39573c236b3dbaee27bfcf2f2fdd2867331
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Feb 19 14:05:17 2020 +0100

    Add internal logger functions

commit c2e322aea06309a56a1464d745a25160d31fb650
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Feb 19 13:10:15 2020 +0100

    add logger parameters in new Open2

commit 3e4519df837b39077a6369f81a5b9492920bb6ee
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Feb 19 12:58:07 2020 +0100

    Add new versions of DVDOpen to provide context

commit 6c463b78201e2af6a5191c1d4c2272ef5711c45b
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Feb 18 16:11:35 2020 +0100

    flag broken IFO to load BUP instead
    
    Fallback isn't done for VMGI. We need to store
    earlier IFO fallback state.
    
    Fixes playback with crafted/corrupted IFO

commit 1a01c64cc4a3a4f913f3a46e1476ae5876619d6c
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Feb 18 17:05:13 2020 +0100

    Change dvd_reader_t for a real global context
    
    dvd_reader_t is only accessible by dvd_reader.c

commit 18b176cb03a812c02e96cfe9b926bb1255a3eb62
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Feb 18 13:03:17 2020 +0100

    handle VMGI fallback

commit 8ca9828ed1031d1e6b39cf924471655b44e17110
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Feb 18 12:59:25 2020 +0100

    handle VTSI fallback

commit 89a5fce5a7a3ef3acc0c39fb962a7cfa7a427979
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Feb 17 20:45:19 2020 +0100

    ifo_read: refactor and fix BUP fallback

commit 64e41a83448560374655eab9ab377dcce66e5a64
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Tue Feb 18 15:59:23 2020 +0100

    contrib: Remove pthreads
    
    It's not used anywhere in this project

commit e7d929a2810373724633a06aaa927ec606727e8a
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Tue Feb 18 15:56:13 2020 +0100

    contrib: Remove unused timer files

commit 8d7b4c1a91887037934c6bb78fb6629b41bbc3b1
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Tue Feb 18 15:51:38 2020 +0100

    contrib: Remove unused getopt

commit 803106b38bdba3463a401a5de158f80d6cfd4b91
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Tue Feb 18 15:50:28 2020 +0100

    contrib: Remove unused bcopy

commit 5706d4b22d30bfa89a2433b6a30b35cf1134d84d
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Tue Feb 18 15:48:28 2020 +0100

    Use _WIN32 instead of WIN32

commit 6d781d2bc3445bbd2577ab85138f65c3df4ce323
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Tue Feb 18 15:45:36 2020 +0100

    Remove unused dvdnav_internal.h

commit 0c59f34a308afadb3c9088ca3df6b4b865e677fa
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Feb 6 22:56:40 2020 +0100

    Update NEWS for 6.0.3

commit 108f301a90e7abbc1c3803ffe566417d80f18a2c
Author: François Cartegnie <fcvlcdev@free.fr>
Date:   Thu Feb 6 22:54:12 2020 +0100

    skip UDF file truncation by empty contiguous ShortAD

commit da2245e4eccca4b8816ecba3d99c6c2134e3d07c
Author: Marvin Scholz <epirat07@gmail.com>
Date:   Thu Oct 24 14:42:55 2019 +0200

    only use getmntent_r if available

commit a02a002ff7e4a740a740a649f466a8954c70c5a1
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Sep 1 16:40:44 2019 +0200

    Update NEWS about bump ABI

commit 819dd78fdc10b66d04d4033557e7085cc345c094
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Sep 1 16:35:32 2019 +0200

    Update CI to use more modern contribs

commit f95662fca27e7e2940c22110335654db46bf9c39
Author: John Sullivan <jsgthb@kanargh.org.uk>
Date:   Fri Aug 9 13:23:15 2019 +0100

    Swap pgc_t's still_time and pg_playback_mode which are currently
    the wrong way round, which prevents some discs from playing.

commit 143d06a8770477b0e77ced898e39099883885103
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Fri Jul 19 10:31:56 2019 +0200

    use reentrant getmntent_r
    
    This fixes the following data-race on VLC when 2 different inputs are opening
    at the same time:
    
    WARNING: ThreadSanitizer: data race (pid=15659)
      Write of size 8 at 0x7f79148d3140 by thread T5:
        #0 getmntent ../../../../src/libsanitizer/sanitizer_common/sanitizer_common_interceptors.inc:3850 (libtsan.so.0+0x3d84c)
        #1 DVDOpenCommon ../src/dvd_reader.c:548 (libdvdread.so.4+0x38b6)
        #2 generic_start ../../src/modules/modules.c:258 (libvlccore.so.9+0x3bed5)
        #3 module_load ../../src/modules/modules.c:122 (libvlccore.so.9+0x3be7e)
        #4 vlc_module_load ../../src/modules/modules.c:194 (libvlccore.so.9+0x3c358)
        #5 module_need ../../src/modules/modules.c:277 (libvlccore.so.9+0x3c60c)
        #6 access_New ../../src/input/access.c:149 (libvlccore.so.9+0x5464c)
        #7 stream_AccessNew ../../src/input/access.c:294 (libvlccore.so.9+0x549c1)
        #8 InputDemuxNew ../../src/input/input.c:2413 (libvlccore.so.9+0x7528b)
        #9 InputSourceNew ../../src/input/input.c:2556 (libvlccore.so.9+0x76c1c)
        #10 Init ../../src/input/input.c:1257 (libvlccore.so.9+0x7b145)
        #11 Run ../../src/input/input.c:449 (libvlccore.so.9+0x7c3fe)
    
      Previous write of size 8 at 0x7f79148d3140 by thread T4:
        #0 getmntent ../../../../src/libsanitizer/sanitizer_common/sanitizer_common_interceptors.inc:3850 (libtsan.so.0+0x3d84c)
        #1 DVDOpenCommon ../src/dvd_reader.c:548 (libdvdread.so.4+0x38b6)
        #2 generic_start ../../src/modules/modules.c:258 (libvlccore.so.9+0x3bed5)
        #3 module_load ../../src/modules/modules.c:122 (libvlccore.so.9+0x3be7e)
        #4 vlc_module_load ../../src/modules/modules.c:194 (libvlccore.so.9+0x3c358)
        #5 module_need ../../src/modules/modules.c:277 (libvlccore.so.9+0x3c60c)
        #6 access_New ../../src/input/access.c:149 (libvlccore.so.9+0x5464c)
        #7 stream_AccessNew ../../src/input/access.c:294 (libvlccore.so.9+0x549c1)
        #8 InputDemuxNew ../../src/input/input.c:2413 (libvlccore.so.9+0x7528b)
        #9 InputSourceNew ../../src/input/input.c:2556 (libvlccore.so.9+0x76c1c)
        #10 Init ../../src/input/input.c:1257 (libvlccore.so.9+0x7b145)
        #11 Preparse ../../src/input/input.c:475 (libvlccore.so.9+0x7c2b6)

commit ebf7dab00bb106ad323b909f5d28529d2bc36637
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Feb 8 17:29:33 2019 +0100

    Add more files to gitignore, notably build folder

commit 368cd02ecf315a4995bd78ac560823a83368c0a2
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Feb 8 17:28:01 2019 +0100

    Update AUTHORS

commit b851de7220657aaba96d447abd2937ffd2a23490
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Feb 5 16:16:13 2019 +0100

    Update NEWS for 6.0.1

commit 34bb5af1400606fc7cd15e5770d149f38adc8f51
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Feb 5 15:18:39 2019 +0100

    Update Release version to 6.0.1

commit 1f4136e86450d58146683a065b829c812e9602d4
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Feb 5 16:09:47 2019 +0100

    Fix fallthrough warning

commit 98423d6aa67cfdcc2def0600d82a877a6646c403
Author: Nicolas Porcel <nicolasporcel06@gmail.com>
Date:   Tue Feb 6 02:57:44 2018 +0100

    Fix dvd burnt with Nero
    
    Some DVD written with Nero Burning ROM have faulty IFO files that make
    them unreadable with libdvdread. The condition removed is checked anyway
    using the CHECK_VALUE macro.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit b1f3681b2b7e19c0c060771f9d5acc2db2ec7a1a
Author: John Stebbins <stebbins@jetheaddev.com>
Date:   Wed Jan 25 10:08:31 2017 -0700

    Don't ignore I/O errors in InternalUDFReadBlocksRaw
    
    Ignoring these errors can lead to hanging in a loop for hours on damaged
    images.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 3ba6d4eb22acb316eaec5de907ca815f6a6415c7
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Feb 5 15:15:47 2019 +0100

    Update NEWS

commit 978c6275c004db5485fb7ffde2508b89cc45c7f7
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Tue Jan 8 15:51:08 2019 +0100

    Invalidate cache when forcing filesize
    
    This fixes playback of Resident Evil Extention DVD.

commit 30e4a6e29862024a95a2e0a731025e4d7f783b6b
Author: Konstantin Pavlov <thresh@videolan.org>
Date:   Fri Nov 30 18:05:22 2018 +0300

    CI: added debian, macos, win32 and win64 build jobs.

commit 95fdbe8337d2ff31dcfb68f35f3e4441dc27d92f
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Jan 14 10:45:31 2018 +0100

    Update NEWS

commit 230d8c8140316f1633cb48c11870938d5784b5b7
Author: Pierre Lamot <pierre@videolabs.io>
Date:   Tue Jan 9 15:52:17 2018 +0100

    Don't abort if PGCN or PCN == 0 when reading VTS_PTT_SRPT
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 26cc345d57a2660fe2bfdb25be099ede233d7d48
Author: Pierre Lamot <pierre@videolabs.io>
Date:   Tue Jan 9 15:52:16 2018 +0100

    Update incomplete structures
    
    From the spec.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 22f0cd7398da14b85bdb20eef81309ad30ec8da8
Author: Pierre Lamot <pierre@videolabs.io>
Date:   Tue Jan 9 15:52:15 2018 +0100

    Don't abort if PGC structure can't be read.
    
    Some DVD contains unused invalids PGC (ie: inaccessible location).
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 7433fb130827ada0e09a6b123b8a1df4fdf6bb40
Author: Pierre Lamot <pierre@videolabs.io>
Date:   Tue Jan 9 15:52:14 2018 +0100

    Provide compatibility with media having incomplete TT_SRPT and PTT_SRPT
    
    Some media don't provide the last byte field in  "Title Search Pointer Table"
    (TT_SRPT) and "Video Title Set Part of Title Search Pointer Table"
    (VST_PTT_SRPT)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 74853950580354f0fba0e8bbae643068da9c3fb7
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Jan 8 18:28:22 2018 +0100

    Update NEWS for 6.0

commit 5ec409508803037dfa931591aef93851458d1d2a
Author: Lawrence D'Oliveiro <ldo@geek-central.gen.nz>
Date:   Fri Feb 19 16:16:09 2016 +0100

    Restrict Exported Symbols To Those Currently Declared In Public Includes
    
    The shared library currently exports the symbols “dvdinput_close”,
    “dvdinput_open”, “dvdinput_read”, “dvdinput_seek”,
    “dvdinput_setup” and “dvdinput_title”, even though these are not
    currently declared in any of the public include files.
    
    This restricts the export-symbols-regex to stop exporting these.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 494311d309441846eae697f915b61d2980bfa69d
Author: Petri Hintukainen <phintuka@gmail.com>
Date:   Wed Oct 14 20:49:55 2015 +0300

    Remove unused dvdinput_error()

commit d52ac0a705e6969862d94b94729854108b7eb4b4
Author: Petri Hintukainen <phintuka@gmail.com>
Date:   Wed Oct 14 14:03:33 2015 +0300

    Remove redundant redeclaration of InternalUDFReadBlocksRaw

commit 54c4660e7592e6f8e30d205b117dfc9b1e3997be
Author: Petri Hintukainen <phintuka@gmail.com>
Date:   Thu Sep 24 14:02:23 2015 +0300

    dvdinput_close(): fix leak in error path
    
    Memory should be freed even if DVDCSS_close() or close() returns an error.
    Error return value is only for diagnostics; those functions can't be called again.
    => dvdinput_close() can't be called again.

commit 32c6f60f29875a7ee05817ee81107bb5ca0ea7ae
Author: Petri Hintukainen <phintuka@gmail.com>
Date:   Thu Sep 24 14:01:51 2015 +0300

    Use NULL when comparing pointer

commit 5e2ffa4bd2f260cd68e064ada27aa21b042f8856
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Sep 9 12:19:22 2015 +0200

    Update NEWS

commit d056043f4ba26944163c404421077ebfe3c8c60f
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Sep 9 12:17:46 2015 +0200

    Next major version will be 6.0.0
    
    Bump version to 5.90.0 for now

commit 511ac9c8199d7b604d6a65193fd2777b74fad776
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Sep 9 09:51:03 2015 +0200

    Prepare for 5.0.4

commit 105aa319b085b3eb4f67de80cb41af27e0f2fe0f
Author: Petri Hintukainen <phintuka@gmail.com>
Date:   Mon Sep 7 14:46:31 2015 +0300

    configure: generate version.h
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 752bbae6bc7b517f9819d182a2e3ddca44b112d8
Author: Petri Hintukainen <phintuka@gmail.com>
Date:   Wed Sep 9 10:12:29 2015 +0300

    DVDReadBytes(): Check that requested size fits in ssize_t
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 1d4a5ceef8e32659ae61fff4244d346c9f3453aa
Author: Petri Hintukainen <phintuka@gmail.com>
Date:   Wed Sep 9 10:11:16 2015 +0300

    sprintf -> strcpy
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 08d1ca695b55121bb0e7e82e0fa21028196141a5
Author: Petri Hintukainen <phintuka@gmail.com>
Date:   Wed Sep 9 10:10:26 2015 +0300

    Add const
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 7247a1995bf8cb33fb716eab9dd57ad2a90a083e
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Sep 1 15:40:18 2015 +0200

    Next version will be 5.0.4 (+ NEWS)

commit 46ef934304b3a326615ae6dafc63b337f2f2628f
Author: Petri Hintukainen <phintuka@gmail.com>
Date:   Wed May 20 13:41:57 2015 +0300

    Use calloc
    
    Remove redundant initializations to 0.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 75c0cae2f32be6d7b076818571341dde83c1771b
Author: Petri Hintukainen <phintuka@gmail.com>
Date:   Wed May 20 13:41:38 2015 +0300

    Use correct constant
    
    TITLES_MAX was used as length of string "/video_ts".
    There's no relation between these two constants.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit a0b8b3e4e1e95131430149c24c75d19fb8219087
Author: Petri Hintukainen <phintuka@gmail.com>
Date:   Wed May 20 13:41:01 2015 +0300

    Fix possible buffer overflow
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 2b77f469eb511b8f43e8f9b10a3b57685ec1ff3c
Author: Petri Hintukainen <phintuka@gmail.com>
Date:   Wed May 20 13:40:27 2015 +0300

    Cosmetics
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 4e269e52103a0422a3954ecc2f1901dec5fb4f0d
Author: Petri Hintukainen <phintuka@gmail.com>
Date:   Sun Mar 29 22:21:31 2015 +0300

    Fix write after free
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 2b8f60f0c4efd85f17116a5443851d4bb4a288b7
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Mar 25 14:55:05 2015 +0100

    Update NEWS for 5.0.3

commit 107ca98775df1eb953881acd8df5471e8bcc88cd
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Mar 25 14:32:38 2015 +0100

    Update dvd_reader version too

commit a76a31f0f909200a96eecffe6ea3292f3aa2374f
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Fri Mar 13 17:03:13 2015 +0100

    Update NEWS for 5.0.3
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 85b6663a59290f1cda175690daaf89eb433430bc
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Fri Mar 13 17:03:12 2015 +0100

    dvd_reader: cache IFO and BUP files (only for images files)
    
    It reduces the number of read/seek accesses
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit af446d463a15fb08f95f8b84bfc89af395b6e1bc
Author: KO Myung-Hun <komh78@gmail.com>
Date:   Thu Jan 29 17:29:03 2015 +0900

    ifo_types.h: fix 'warning: `gcc_struct' attribute directive ignored'
    
    gcc_struct has been supported since gcc 3.4.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 574b886b733e8737e8cf17d9330049289e837ac3
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Jan 28 17:17:32 2015 +0100

    Fix compilation when staticly linked to libdvdcss

commit cd82f3072c75736dd0459738d12dbc0da0884f28
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Wed Jan 28 16:30:31 2015 +0100

    dvd_input: always init dev->dvdcss
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 8bda55f887d7d8e926f943977129e26eaf2ff02a
Author: KO Myung-Hun <komh78@gmail.com>
Date:   Mon Jan 19 13:23:58 2015 +0900

    src/dvd_input.c: use dvdcss2.dll instead of dvdcss.dll on OS/2
    
    libtool creates a versioned dll on OS/2 as well.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 6b86232c82503d65b3a5d25283ae5f9a7f66acc0
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Wed Jan 28 14:45:52 2015 +0100

    dvd_input.c: can link with dvdcss without new open_stream symbol
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 55465dba693864ea04f83455fa0f470b4fb957e4
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Wed Jan 28 14:45:51 2015 +0100

    dvd_input.c fix unused parameter warnings
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit d14f83e4ab1bf7b5856898365a8c4bd2b107c041
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Jan 27 16:37:12 2015 +0100

    Update NEWS for 5.0.2

commit 40571a6f7bdbd7c5a8530675f3c082032ab540b3
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Jan 27 16:34:48 2015 +0100

    Update .so version because of added API

commit 6dfeb9b50421d98f7a228de05498d98eecd23f02
Author: Thomas Guillem <tom@gllm.fr>
Date:   Fri Oct 17 15:43:26 2014 +0200

    add DVDOpenStream
    
    open a DVD Device using external read/seek callbacks (see libdvdcss).
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit f5ea91421d7912bffc8c5964409fd4454f1f5985
Author: Steve Dibb <steve.dibb@gmail.com>
Date:   Thu Jan 15 13:45:42 2015 -0700

    Check for malloc fail before setting buffer
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 05c4e138c27ad372c2640506017b15f34b3dd92f
Author: Steve Dibb <steve.dibb@gmail.com>
Date:   Thu Jan 15 13:45:41 2015 -0700

    Check for malloc fail before setting buffer
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit a3d569054c4e57d401137ba2e93d56afa5edd6d7
Author: Steve Dibb <steve.dibb@gmail.com>
Date:   Thu Jan 15 13:45:39 2015 -0700

    Check for malloc fail before setting secbuf
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit e381f0766f4a1cf9b0cf526b38fca445080ba94e
Author: Steve Dibb <steve.dibb@gmail.com>
Date:   Thu Jan 15 13:45:38 2015 -0700

    Remove unnecessary memset() calls because of calloc being used
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 76f813477a863873bea842e4ae182b3c4cacfc96
Author: Steve Dibb <steve.dibb@gmail.com>
Date:   Thu Jan 15 13:45:37 2015 -0700

    Use calloc instead of malloc, then memset
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit a63467f9ec4dbdb63057439665a561ac68c6cae8
Author: Steve Dibb <steve.dibb@gmail.com>
Date:   Thu Jan 15 13:45:36 2015 -0700

    Use calloc as a safety measure since ifoRead functions populate parts of the data independently
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit a097e3da09e8fe8d32115dad8992e4326536e8c5
Author: Steve Dibb <steve.dibb@gmail.com>
Date:   Thu Jan 15 13:45:33 2015 -0700

    Use calloc as a safety measure since ifoRead functions populate parts of the data independently
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit a267a3bc899a72712baab8bc37fe59405dcd1904
Author: Steve Dibb <steve.dibb@gmail.com>
Date:   Thu Jan 15 13:45:32 2015 -0700

    Use calloc as a safety measure since ifoRead functions populate parts of the data independently
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit fa457d44da389ad576c1e3b3a880401a796cdcbf
Author: Steve Dibb <steve.dibb@gmail.com>
Date:   Thu Jan 15 13:45:13 2015 -0700

    Set freed pointers to NULL instead of zero
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 4507900078d45d7262dd26bfc6405c8faadd293c
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sat Jan 3 01:16:48 2015 +0100

    Add NEWS for 5.0.1

commit 41c3e42563ad2e3f29cdbc28529d515f2e71384d
Author: Evgeny Grin <karlson2k@kodi.tv>
Date:   Tue Nov 25 18:46:33 2014 +0300

    Fix partial read handling in DVDReadLBUDF()
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 72f87861057b9f3fcf929e9ba31312f72d9ab081
Author: Evgeny Grin <karlson2k@kodi.tv>
Date:   Tue Nov 25 18:12:45 2014 +0300

    Fix partial read handling in file_read()
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 3dbbdfb548135eb73a06cf01ac0a0b3fde48b5ab
Author: Andrew Clayton <andrew@digital-domain.net>
Date:   Wed Nov 5 21:36:37 2014 +0000

    src/md5: Replace the MD5 implementation with the FSF LGPL one
    
    With GCC 4.8.3 on x86_64 Fedora 20 we get the following warnings from
    src/md5.c
    
        src/md5.c: In function 'md5_finish_ctx':
        src/md5.c:102:3: warning: dereferencing type-punned pointer will
         break strict-aliasing rules [-Wstrict-aliasing]
        *(md5_uint32 *) &ctx->buffer[bytes + pad] = SWAP (ctx->total[0] <<
         3);
        ^
        src/md5.c:103:3: warning: dereferencing type-punned pointer will
         break strict-aliasing rules [-Wstrict-aliasing]
        *(md5_uint32 *) &ctx->buffer[bytes + pad + 4] = SWAP
         ((ctx->total[1] << 3) |
        ^
    
    Rather than trying to fix this, Jean-Baptiste Kempf suggested it would
    be better to replace this old implementation with something newer such
    as the one used in VLC. So, this is what this does.
    
    We take src/misc/md5.c as src/md5.c and include/vlc_md5.h as src/md5.h
    
    md5.c had little changed in it, just some #include changes, I also had
    to remove the restrict keyword from the AddMD5() function definition as
    this is a C99 thing. This shouldn't really make much difference in this
    usage.
    
    md5.h had the VLC_API macro usage removed and I removed the psz_md5_hash
    function as it's not used.
    
    Finally DVDDiscID() in src/dvd_reader.c was changed to make use of this
    new implementation. I tested this with the following program
    
        /*
         * gcc -O2 -Wall -o dvddiscid dvddiscid.c -ldvdread
         */
    
        #include <stdio.h>
    
        #include <dvdread/dvd_reader.h>
    
        int main(void)
        {
            int i;
            dvd_reader_t *dvd;
            unsigned char id[16];
    
            dvd = DVDOpen("/dev/sr0");
            DVDDiscID(dvd, id);
            DVDClose(dvd);
    
            for (i = 0; i < 16; i++)
                 printf("%.2x", id[i]);
            printf("\n");
    
            return 0;
        }
    
    and get the same MD5 before and after this change.
    
        $ ./dvddiscid
        a02f30eb3e76e624b766ec0248757901
    
        $ LD_LIBRARY_PATH=/opt/libdvdread/lib ./dvddiscid
        a02f30eb3e76e624b766ec0248757901
    
    Signed-off-by: Andrew Clayton <andrew@digital-domain.net>
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    Tested-by: Steve Dibb <beandog@gentoo.org>

commit d2314b8c65ca1a3a92fcc9b46791375e24dbfd9b
Author: Andrew Clayton <andrew@digital-domain.net>
Date:   Tue Nov 4 01:08:32 2014 +0000

    src/dvd_input.c: Annotate unused function parameters
    
    In libdvdread some functions take parameters that are unused. These
    functions are for working without the libdvdcss library but have to have
    the same prototype as the ones for working with it as these are
    presented as single API.
    
    As such we get the following warnings from GCC (4.8.3)
    
        src/dvd_input.c: In function 'file_error':
        src/dvd_input.c:186:37: warning: unused parameter 'dev'
          [-Wunused-parameter]
         static char *file_error(dvd_input_t dev)
                                             ^
        src/dvd_input.c: In function 'file_title':
        src/dvd_input.c:210:35: warning: unused parameter 'dev'
          [-Wunused-parameter]
         static int file_title(dvd_input_t dev, int block)
                                           ^
        src/dvd_input.c:210:44: warning: unused parameter 'block'
          [-Wunused-parameter]
         static int file_title(dvd_input_t dev, int block)
                                                    ^
        src/dvd_input.c: In function 'file_read':
        src/dvd_input.c:218:69: warning: unused parameter 'flags'
          [-Wunused-parameter]
         static int file_read(dvd_input_t dev, void *buffer, int blocks,
                              int flags)
                                  ^
    The previous commit added a #define set to __attribute__((unused)) when
    GCC is being used (empty otherwise). This can be used to inform the
    compiler about such unused parameters and gets rid of those warnings.
    
    Signed-off-by: Andrew Clayton <andrew@digital-domain.net>
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit c10f0f7c909a26b7d3b4953924a6e88285aae19f
Author: Andrew Clayton <andrew@digital-domain.net>
Date:   Tue Nov 4 01:08:31 2014 +0000

    configure.ac: Create an UNUSED #define for parameter passing
    
    Some functions in libdvdread take parameters that are unused, e.g
    file_read() in dvd_input.c. These functions can't be changed to remove
    the unused parameters as they are public API.
    
    GCC provides a __attribute__((unused)) annotation that can be used on
    function parameters to inform the compiler of such and will squash
    warnings of the following nature
    
        src/dvd_input.c: In function 'file_read':
        src/dvd_input.c:218:69: warning: unused parameter 'flags'
          [-Wunused-parameter]
         static int file_read(dvd_input_t dev, void *buffer, int blocks,
                              int flags)
                                  ^
    
    A check is added to configure.ac for the use of GCC and if found it
    creates an UNUSED #define set to __attribute__((unused)) otherwise it
    just sets it empty.
    
    If compilers on other systems have a similar feature this check can be
    adjusted to accommodate them.
    
    Signed-off-by: Andrew Clayton <andrew@digital-domain.net>
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 4d5cb54738bc79cbfd3ada4345eddd4b40d1ddb0
Author: Andrew Clayton <andrew@digital-domain.net>
Date:   Fri Oct 24 15:21:35 2014 +0100

    src/nav_print.c: Fix several printf format strings
    
    There were several printf()'s in navPrint_HL_GI() & navPrint_BTNIT()
    that were printing unsigned int's but were using %d for the format
    specifier.
    
    Signed-off-by: Andrew Clayton <andrew@digital-domain.net>
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 0b9e76358a85a9789d21e3cc603508db03dd899a
Author: Andrew Clayton <andrew@digital-domain.net>
Date:   Fri Oct 24 15:21:34 2014 +0100

    src/ifo_read.c: Reduce the scope of some variables
    
    Signed-off-by: Andrew Clayton <andrew@digital-domain.net>
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 15c9da69c8203179030cc890ece296f584e1f480
Author: Andrew Clayton <andrew@digital-domain.net>
Date:   Fri Oct 24 15:21:33 2014 +0100

    src/ifo_print.c: Fix a couple of fprintf format strings
    
    In ifoPrint_TT_SRPT() there are a couple fprintf()'s that take an
    unsigned int but %d was used for the format specifier.
    
    Signed-off-by: Andrew Clayton <andrew@digital-domain.net>
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit f5986d6b4c2f97ab3986e341c58a61e20593dc41
Author: Andrew Clayton <andrew@digital-domain.net>
Date:   Fri Oct 24 15:21:32 2014 +0100

    src/dvd_udf.c: Reduce the scope of some variables
    
    Signed-off-by: Andrew Clayton <andrew@digital-domain.net>
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 13ec957c49ac3914786b5961f3615364c5022399
Author: Andrew Clayton <andrew@digital-domain.net>
Date:   Fri Oct 24 15:21:31 2014 +0100

    src/dvd_reader.c: Reduce the scope of some variables
    
    Signed-off-by: Andrew Clayton <andrew@digital-domain.net>
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 5cdc819bedc1b050c81d81c3b063d37fe54080b8
Author: Andrew Clayton <andrew@digital-domain.net>
Date:   Fri Oct 24 15:21:30 2014 +0100

    src/dvd_reader.c: Fix a couple of fprintf format strings
    
    In DVDReadBlocksPath() there are a couple of fprintf()'s displaying an
    offset value, this value is an unsigned int but the format strings had
    %d rather than %u.
    
    Signed-off-by: Andrew Clayton <andrew@digital-domain.net>
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit c6bd4ebab126e5ac0fc027d3d16d0acb1c784d88
Author: Andrew Clayton <andrew@digital-domain.net>
Date:   Fri Oct 24 15:21:29 2014 +0100

    src/dvd_input.c: Reduce the scope of 'ret' in file_read
    
    The ret variable is only used wihin the while loop.
    
    Signed-off-by: Andrew Clayton <andrew@digital-domain.net>
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 71180022f3f6c55faf0bbe9ed9f7c4dc3be08ba3
Author: Lawrence D'Oliveiro <ldo@geek-central.gen.nz>
Date:   Thu Oct 2 04:50:52 2014 +0000

    dvd_reader.c: fix a little memory leak
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit ab474a079bd9da3bc9637019c279752124ebf978
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Oct 1 14:54:14 2014 +0200

    Fix typo

commit 654d4221884dd0ef03f04b9e2afd90ec4f3c743f
Author: Thomas Klausner <wiz@NetBSD.org>
Date:   Wed Oct 1 14:39:00 2014 +0200

    Add DragonFly BSD support for bswap*().
    
    Signed-off-by: Thomas Klausner <wiz@NetBSD.org>
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit cb1ae8743e07e55311f48ea17e3c8c611b4bc35d
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Sep 1 03:32:58 2014 +0200

    On the road to 5.0.1

commit 70d25decc685acfb072964ed8cf3de94bba6cbef
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sat Aug 30 23:26:35 2014 +0200

    free(NULL) is a no-op

commit 874873d654fc523a2fa45af2abe2cf69599412af
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Aug 28 08:50:29 2014 +0200

    Force gcc-style packing

commit 87f369dc49d639028b71ebb043f8fd8cc7b87c60
Author: John Stebbins <jstebbins@jetheaddev.com>
Date:   Fri Aug 22 10:43:58 2014 -0700

    build: Allow building outside git tree
    
    Fixes failure to build if ChangeLog does not exist

commit 620e5464f16dc110d850a207769d512b573f000d
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Aug 4 23:07:18 2014 +0200

    Win32: kill warnings about redefinition of fstat|wstat

commit 849f6e58cc8812838be47045959eca400a80ef7d
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Aug 4 19:44:40 2014 +0200

    Warn when lseek is incomplete in file_read

commit 8999b92630c46435f96bbaad564a2aaf211b2ce9
